Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class XPath.Axis

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.XPath.Axis

public static class XPath.Axis
extends java.lang.Object
implements java.lang.Cloneable

Axis.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Andy Clark, IBM

Field Summary
`static short` | `ATTRIBUTE` Type: attribute.
`static short` | `CHILD` Type: child.
`static short` | `DESCENDANT` Type: descendant.
`static short` | `SELF` Type: self.
`short` | `type` Axis type.

Constructor Summary
`` | `XPath.Axis(short type)` Constructs an axis with the specified type.
`protected` | `XPath.Axis(XPath.Axis axis)` Copy constructor.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHILD

    public static final short CHILD

  Type: child.

### ATTRIBUTE

    public static final short ATTRIBUTE

  Type: attribute.

### SELF

    public static final short SELF

  Type: self.

### DESCENDANT

    public static final short DESCENDANT

  Type: descendant.

### type

    public short type

  Axis type.

Constructor Detail

### XPath.Axis

    public XPath.Axis(short type)

  Constructs an axis with the specified type.

### XPath.Axis

    protected XPath.Axis(XPath.Axis axis)

  Copy constructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Returns a clone of this object.

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference